{% extends 'app_masterbikes/base.html' %}
{% load static %}
{% block contenido %}
{% load crispy_forms_tags %}
<div class="caption text-center">
    <main style="align-items: center; margin-left:5%; margin-right:5%"></main>
<main style="align-items: center; margin-left:5%; margin-right:5%">
    <h1 style="text-align: center; color:white">
        Bicicletas
    </h1>
        {% if mensaje %}
        <div class="alert alert-primary" role="alert">
            <strong>{{mensaje}}</strong>
        </div>
        <p><a href="{% url 'admproductos' %}">volver a lista de Bicicletas</a></p>
        {% endif %}
    <table class="table table-dark table-responsive table-hover" style="opacity: 0.9;">
        <div class="row">
            <div class="col-sm-2"></div>
            <div class="col-sm-8"> 

                <tr>
                    <th>
                        <a role="button" href="{% url 'addbike' %}" type="button" class="btn btn-info">Agregar Bicicleta</a>
                    </th>
                </tr>
                <tr>
                    <th>Marca</th>
                    <th>Modelo</th>
                    <th>Color</th>
                    <th>Aro</th>
                    <th>precio arriendo</th>
                    <th>precio venta</th>
                </tr>
                {% for p in bikes %}
                <tr>
                    <th>{{p.marca}}</th>
                    <th>{{p.modelo}}</th>
                    <th>{{p.color}}</th>
                    <th>{{p.aro}}</th>
                    <th>${{p.precioArriendo}}</th>
                    <th>${{p.precioVenta}}</th>
                    <th>
                        <a href="{% url 'editbike' p.id %}" type="button" class="btn btn-success">Modificar</a>
                        <a href="{% url 'dell' p.id %}" type="button" class="btn btn-danger">Eliminar</a>
                    </th>
                </tr>

            </div>
            <div class="col-sm-2"></div>

            {% endfor %}

        </div>


    </table>
</main>
</div>
{% endblock contenido %}
